WayloAIWaylo Docs
APIReferenceTools

List tools

GET
/tools

Tools in one workspace, offset-paginated.

Access: workspace_viewer · API key tools:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Query Parameters

page?number
Range1 <= value <= 10000
Default1
limit?number
Range1 <= value <= 100
Default25
orderDirection?string
Default"desc"
Value in"asc""desc"
workspaceId*string
Formatuuid
active?boolean
credentialId?string
Formatuuid
orderBy?string
Value in"name""active""agentCount""createdByUserName""updatedByUserName""createdAt""updatedAt"
search?string

Free-text search over the searchBy fields.

Length1 <= length <= 255
searchBy?string

Comma-separated: name, description.

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?|||
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/tools?workspaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "id": "string",    "workspaceId": "string",    "name": "string",    "feedback": {      "ack": [        "string"      ],      "filler": [        "string"      ]    },    "credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e",    "active": true,    "agentCount": 0,    "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",    "createdByUserName": "string",    "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",    "updatedByUserName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "type": "api_request",    "description": "string",    "parameters": {},    "config": {      "method": "GET",      "url": "string",      "headers": {        "property1": "string",        "property2": "string"      },      "staticBody": {},      "timeoutMs": 0    }  }]